Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.query
Class Syntax

    java.lang.Object
      com.hp.hpl.jena.sparql.util.Symbol
          com.hp.hpl.jena.query.Syntax

    public class Syntax

extends com.hp.hpl.jena.sparql.util.Symbol

Symbols for query language syntaxes

Field Summary
`static Syntax` | `defaultSyntax` The name of the default query language for query parsing.
`static com.hp.hpl.jena.sparql.util.TranslationTable` | `querySyntaxNames`
`static Syntax` | `syntaxAlgebra`
`static Syntax` | `syntaxARQ`
`static Syntax` | `syntaxRDQL`
`static Syntax` | `syntaxSPARQL` The syntax that the working group has defined

Method Summary
`static Syntax` | `guessQueryFileSyntax(java.lang.String url)`
`static Syntax` | `guessQueryFileSyntax(java.lang.String url, Syntax defaultSyntax)`
`static Syntax` | `lookup(java.lang.String s)`
`static Syntax` | `make(java.lang.String uri)`

Methods inherited from class com.hp.hpl.jena.sparql.util.Symbol
`create, create, equals, getSymbol, hashCode, isCompatibleWith, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### syntaxSPARQL

    public static final Syntax syntaxSPARQL

  The syntax that the working group has defined

### syntaxARQ

    public static final Syntax syntaxARQ

### syntaxRDQL

    public static final Syntax syntaxRDQL

### syntaxAlgebra

    public static final Syntax syntaxAlgebra

### querySyntaxNames

    public static com.hp.hpl.jena.sparql.util.TranslationTable querySyntaxNames

### defaultSyntax

    public static Syntax defaultSyntax

  The name of the default query language for query parsing. The default query language syntax must be capable of accepting any SPARQL query but may also accept extensions.

Method Detail

### make

    public static Syntax make(java.lang.String uri)

### guessQueryFileSyntax

    public static Syntax guessQueryFileSyntax(java.lang.String url)

### guessQueryFileSyntax

    public static Syntax guessQueryFileSyntax(java.lang.String url,
                                              Syntax defaultSyntax)

### lookup

    public static Syntax lookup(java.lang.String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP